package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.StreetLamp;
import com.lightinit.hsdatashow.entity.StreetLampExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface StreetLampMapper {
    long countByExample(StreetLampExample example);

    int deleteByExample(StreetLampExample example);

    int deleteByPrimaryKey(Long id);

    int insert(StreetLamp record);

    int insertSelective(StreetLamp record);

    List<StreetLamp> selectByExample(StreetLampExample example);

    StreetLamp selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") StreetLamp record, @Param("example") StreetLampExample example);

    int updateByExample(@Param("record") StreetLamp record, @Param("example") StreetLampExample example);

    int updateByPrimaryKeySelective(StreetLamp record);

    int updateByPrimaryKey(StreetLamp record);

    List<StreetLamp> selectList();

    List<StreetLamp> selectList1(String type);
}